smartElements standalone
========================
Use the launcher file for your operating system to launch smartElements
in standalone mode. The standalone mode offers all functionality that you
get inside Nuke.

Requirements
------------
In order to launch smartElements standalone, you will need a Qt binding 
(PySide2 or PySide6) installed. The first time you launch in standalone mode 
you will be asked for a Nuke executable. Note that you can use smartElements 
without Nuke but media ingestions will require it. If you don't intend to
ingest but use standalone mode just for viewing purposes then create an
empty text file ``nuke.txt`` and point smartElements to it.

smartElements ships with support for several python versions. These can be
found in your smartElements installation folder and are called ``cp27``, 
``cp37``, ``cp39``, ``cp310``, ``cp311``, etc. Make sure to use the python
version that you have installed on your machine.

I am getting a 'Bad magic number...' error
------------------------------------------
This happens when you run a launcher with a different major.minor python
version.

As an example, you clicked the start_windows.bat file in the ``cp310`` folder
and the launcher uses a different Python version, e.g. python-3.9. This won't
work. In this example when running smartElements with cp310 you _must_ use
a Python-3.10 version. 

Your have two options to fix this:

1) Run the standalone launcher from the correct cp folder. In that example 
``cp39``, but that depends on which python version you have installed on
your machine.

2) Depending on your current Python installation change the call ``python`` in 
the launcher to whatever python version you are using or update the launcher 
to use ``python3.10`` instead of ``python`` and create a ``python3.10`` alias 
in your python installation folder. We did not do this step on purpose because 
python installations are unique and  should be handled accordingly per machine.
